Batch Scrape
curl --request POST \
--url https://api.blat.ai/batch/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"https://example.com"
],
"allow_external_links": false,
"allow_subdomain_links": false,
"extract_links": false,
"format": "html"
}
'import requests
url = "https://api.blat.ai/batch/scrape"
payload = {
"urls": ["https://example.com"],
"allow_external_links": False,
"allow_subdomain_links": False,
"extract_links": False,
"format": "html"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['https://example.com'],
allow_external_links: false,
allow_subdomain_links: false,
extract_links: false,
format: 'html'
})
};
fetch('https://api.blat.ai/batch/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "batch_id"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}{
"code": "code",
"details": {
"key": ""
},
"message": "message"
}Scrape Endpoints
Batch Scrape
Submits multiple URLs for scraping and returns a batch ID used to check the status later
POST
/
batch
/
scrape
Batch Scrape
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Batch scraping request parameters
List of URLs to scrape
Example:
["https://example.com"]
Whether to include external links
Whether to include subdomain links
Whether to extract links from HTML
The desired output format
Available options:
html, markdown Optional webhook configuration
Show child attributes
Show child attributes
Response
OK
The ID of the batch scrape. Used to check the status of the batch later.
⌘I